Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Problem with customtranslations


Reply


7 Posts   1262 Views

Avatar
Eventyr

Community Member, 1 Post

4 June 2010 at 7:38pm

Hi! Just installed module in root folder, but when I try to dev/build, see that:
Fatal error: Call to undefined method i18n::register_plugin() in /home/rosyjski/public_html/customtranslations/_config.php on line 3.

What can I change it to work?

Avatar
mark_s

Community Member, 78 Posts

4 June 2010 at 9:00pm

Hi.

You must be the first person I know to use it; very bleeding edge ;-)

This requires the very latest sapphire 2.4 (actually, requires revision 104847 or greater), which you can get via svn. I don't think the standard download (5 May 2010) has this. I thought the doc had the revision constraint, but it didn't, although the module description on ss.org does. I'll update the docs accordingly.

If you give it a go with the latest sapphire, let us know how you get on. I'd like to know what you think about it.

Mark

Avatar
pali

Community Member, 33 Posts

18 June 2010 at 12:56am

hello Mark,

it looks like your probably great module doesnt work with latest sapphire rev (106650) :(
File i18n.php doesnt contain required method...

pali

Avatar
mark_s

Community Member, 78 Posts

18 June 2010 at 3:32pm

Hi. Are you using sapphire trunk or branches/2.4 ?

Avatar
pali

Community Member, 33 Posts

19 June 2010 at 12:17am

hello, svn URL is http://svn.silverstripe.com/open/phpinstaller/trunk so i hope its trunk

pali

Avatar
mark_s

Community Member, 78 Posts

19 June 2010 at 1:17pm

Ah, ok. That explains the lack of the method. branches/2.4 is the current stable release. The changes to i18n to support customtranslations has been applied to that, for inclusion in 2.4.1. Those changes have not been merged into trunk yet. I will have a look into that next week.

Mark

Avatar
mark_s

Community Member, 78 Posts

25 June 2010 at 8:29pm

Hi. I had a look at this. While I can put this change over to sapphire trunk, I wouldn't recommend using trunk on a production web site at present, as merges from 2.4 to trunk are still being worked through.